Subject: mushrooms buyers

From: [email-masked] (Nancy Branan)
Date: 9 Apr 1995 16:49:49 -0700

We are searching for names and contacts of (large) buyers of wild mushrooms
in the U.S.A., Europe and Japan.

Please contact Bruce Branan,
tel/fax (503) 614-0590
[email-masked]

____________________________________________________________________

Nancy Branan                                    [email-masked]
Customer Support                                tel: 503-629-7737
Intel Supercomputers                            fax: 503-629-6324
____________________________________________________________________